<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CSS tips and tricks | preloader css effect</title>
    <style>
        *{
            margin: 0;
            padding: 0;
        }
        body{
            background-color: #ecf0f1;
        }
        .loader{
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            width: 100px;
            height: 100px;
        }
        .loader hr{
            border: 0;
            margin: 0;
            width: 40%;
            height: 40%;
            position: absolute;
            border-radius: 50%;
            animation:spinner 2s ease infinite;
        }
        .loader :first-child{
            background-color: #19a68c;
            animation-delay: -1.5s;
        }
        .loader :nth-child(2){
            background-color: #f63d3a;
            animation-delay: -1s;
        }
        .loader :nth-child(3){
            background-color: #fda643;
            animation-delay: -0.5s;
        }
        .loader :last-child{
            background-color: #193b48;
        }
        @keyframes spinner {
            0%, 100%{
                transform: translate(0);
            }
            25%{
                transform: translate(160%);
            }
            50%{
                transform: translate(160%, 160%);
            }
            75%{
                transform: translate(0, 160%);
            }
        }
    </style>
</head>
<body>
    <div class="loader">
        <hr>
        <hr>
        <hr>
        <hr>
    </div>
</body>
</html>